package com.demo.mongodb;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.demo.entity.po.DeviceConf;
import com.demo.util.ResultObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.mongodb.core.MongoTemplate;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletResponse;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/data")
public class DataImportController {

    @Autowired
    private MongoTemplate mongoTemplate;


    /**
     * 描述：新增配置信息
     *
     * @return ResultObject
     * @author maochengyuan
     * @created 2018/9/1 20:17
     */
    @RequestMapping(value = "/insertIOSConf", method = RequestMethod.GET)
    @ResponseBody
    public ResultObject insertIOSConf() {
              String str = "{\n" +
                      "\t\"risk_apps\": [{\n" +
                      "\t\t\"name\": \"awz\",\n" +
                      "\t\t\"pn\": \"/Applications/AWZ.app\",\n" +
                      "\t\t\"uri\": \"IGG://\"\n" +
                      "\t}, {\n" +
                      "\t\t\"name\": \"nzt\",\n" +
                      "\t\t\"pn\": \"/Applications/NZT.app\",\n" +
                      "\t\t\"uri\": \"\"\n" +
                      "\t}, {\n" +
                      "\t\t\"name\": \"igvx\",\n" +
                      "\t\t\"pn\": \"/Applications/igvx.app\",\n" +
                      "\t\t\"uri\": \"\"\n" +
                      "\t}, {\n" +
                      "\t\t\"name\": \"touchelf\",\n" +
                      "\t\t\"pn\": \"/Applications/TouchElf.app\",\n" +
                      "\t\t\"uri\": \"\"\n" +
                      "\t}, {\n" +
                      "\t\t\"name\": \"touchsprite\",\n" +
                      "\t\t\"pn\": \"/Applications/TouchSprite.app\",\n" +
                      "\t\t\"uri\": \"\"\n" +
                      "\t}, {\n" +
                      "\t\t\"name\": \"wujivpn\",\n" +
                      "\t\t\"pn\": \"/Applications/WujiVPN.app\",\n" +
                      "\t\t\"uri\": \"\"\n" +
                      "\t}, {\n" +
                      "\t\t\"name\": \"rst\",\n" +
                      "\t\t\"pn\": \"/Applications/RST.app\",\n" +
                      "\t\t\"uri\": \"\"\n" +
                      "\t}, {\n" +
                      "\t\t\"name\": \"forge9\",\n" +
                      "\t\t\"pn\": \"/Applications/Forge9.app\",\n" +
                      "\t\t\"uri\": \"\"\n" +
                      "\t}, {\n" +
                      "\t\t\"name\": \"forge\",\n" +
                      "\t\t\"pn\": \"/Applications/Forge.app\",\n" +
                      "\t\t\"uri\": \"\"\n" +
                      "\t}, {\n" +
                      "\t\t\"name\": \"gfaker\",\n" +
                      "\t\t\"pn\": \"/Applications/GFaker.app\",\n" +
                      "\t\t\"uri\": \"\"\n" +
                      "\t}, {\n" +
                      "\t\t\"name\": \"hdfaker\",\n" +
                      "\t\t\"pn\": \"/Applications/hdfakerset.app\",\n" +
                      "\t\t\"uri\": \"\"\n" +
                      "\t}, {\n" +
                      "\t\t\"name\": \"r8\",\n" +
                      "\t\t\"pn\": \"/Applications/R8.app\",\n" +
                      "\t\t\"uri\": \"\"\n" +
                      "\t}, {\n" +
                      "\t\t\"name\": \"pranava\",\n" +
                      "\t\t\"pn\": \"/Applications/Pranava.app\",\n" +
                      "\t\t\"uri\": \"\"\n" +
                      "\t}, {\n" +
                      "\t\t\"name\": \"ig\",\n" +
                      "\t\t\"pn\": \"/Applications/iG.app\",\n" +
                      "\t\t\"uri\": \"\"\n" +
                      "\t}, {\n" +
                      "\t\t\"name\": \"hiddenapi\",\n" +
                      "\t\t\"pn\": \"/Applications/HiddenApi.app\",\n" +
                      "\t\t\"uri\": \"\"\n" +
                      "\t}, {\n" +
                      "\t\t\"name\": \"xgsab\",\n" +
                      "\t\t\"pn\": \"/Applications/Xgen.app\",\n" +
                      "\t\t\"uri\": \"\"\n" +
                      "\t}, {\n" +
                      "\t\t\"name\": \"birdfaker9\",\n" +
                      "\t\t\"pn\": \"/Applications/BirdFaker9.app\",\n" +
                      "\t\t\"uri\": \"\"\n" +
                      "\t}, {\n" +
                      "\t\t\"name\": \"vpnmaster\",\n" +
                      "\t\t\"pn\": \"/Applications/VPNMasterPro.app\",\n" +
                      "\t\t\"uri\": \"\"\n" +
                      "\t}, {\n" +
                      "\t\t\"name\": \"guizmovpn\",\n" +
                      "\t\t\"pn\": \"/Applications/GuizmOVPN.app\",\n" +
                      "\t\t\"uri\": \"\"\n" +
                      "\t}, {\n" +
                      "\t\t\"name\": \"axj\",\n" +
                      "\t\t\"pn\": \"/Applications/AXJ.app\",\n" +
                      "\t\t\"uri\": \"\"\n" +
                      "\t}],\n" +
                      "\t\"risk_dirs\": [{\n" +
                      "\t\t\"name\": \"vts\",\n" +
                      "\t\t\"dir\": \"/var/touchelf/scripts/\",\n" +
                      "\t\t\"type\": \"absolute\"\n" +
                      "\t}, {\n" +
                      "\t\t\"name\": \"vmmtl\",\n" +
                      "\t\t\"dir\": \"/var/mobile/Media/TouchSprite/lua/\",\n" +
                      "\t\t\"type\": \"absolute\"\n" +
                      "\t}, {\n" +
                      "\t\t\"name\": \"vmlxlltp\",\n" +
                      "\t\t\"dir\": \"/var/mobile/Library/XXAssistant/Lua/Luas/Temp/public\",\n" +
                      "\t\t\"type\": \"absolute\"\n" +
                      "\t}, {\n" +
                      "\t\t\"name\": \"laxlltp\",\n" +
                      "\t\t\"dir\": \"/Library/ApplicationSupport/XXAssistant/Lua/Luas/Temp/public\",\n" +
                      "\t\t\"type\": \"absolute\"\n" +
                      "\t}, {\n" +
                      "\t\t\"name\": \"vmlxx\",\n" +
                      "\t\t\"dir\": \"/var/mobile/Library/XXIDEHelper/xsp/\",\n" +
                      "\t\t\"type\": \"absolute\"\n" +
                      "\t}, {\n" +
                      "\t\t\"name\": \"laxx\",\n" +
                      "\t\t\"dir\": \"/Library/ApplicationSupport/XXIDEHelper/xsp/\",\n" +
                      "\t\t\"type\": \"absolute\"\n" +
                      "\t}, {\n" +
                      "\t\t\"name\": \"vmlxll\",\n" +
                      "\t\t\"dir\": \"/var/mobile/Library/XXAssistant/Lua/LocalLuas/\",\n" +
                      "\t\t\"type\": \"absolute\"\n" +
                      "\t}, {\n" +
                      "\t\t\"name\": \"laxll\",\n" +
                      "\t\t\"dir\": \"/Library/ApplicationSupport/XXAssistant/Lua/LocalLuas/\",\n" +
                      "\t\t\"type\": \"absolute\"\n" +
                      "\t}, {\n" +
                      "\t\t\"name\": \"vri\",\n" +
                      "\t\t\"dir\": \"/var/root/igfix\",\n" +
                      "\t\t\"type\": \"absolute\"\n" +
                      "\t}, {\n" +
                      "\t\t\"name\": \"vrigf\",\n" +
                      "\t\t\"dir\": \"/var/root/igflag\",\n" +
                      "\t\t\"type\": \"absolute\"\n" +
                      "\t}, {\n" +
                      "\t\t\"name\": \"vrr8f\",\n" +
                      "\t\t\"dir\": \"/var/root/R8_fix\",\n" +
                      "\t\t\"type\": \"absolute\"\n" +
                      "\t}, {\n" +
                      "\t\t\"name\": \"vrif\",\n" +
                      "\t\t\"dir\": \"/var/root/igvx_fix\",\n" +
                      "\t\t\"type\": \"absolute\"\n" +
                      "\t}, {\n" +
                      "\t\t\"name\": \"vrifg\",\n" +
                      "\t\t\"dir\": \"/var/root/igvx_flag\",\n" +
                      "\t\t\"type\": \"absolute\"\n" +
                      "\t}, {\n" +
                      "\t\t\"name\": \"vrf9\",\n" +
                      "\t\t\"dir\": \"/var/root/Forge9_fix\",\n" +
                      "\t\t\"type\": \"absolute\"\n" +
                      "\t}, {\n" +
                      "\t\t\"name\": \"ubi\",\n" +
                      "\t\t\"dir\": \"/usr/bin/iGevo\",\n" +
                      "\t\t\"type\": \"absolute\"\n" +
                      "\t}, {\n" +
                      "\t\t\"name\": \"ubxd\",\n" +
                      "\t\t\"dir\": \"/usr/bin/XGenDaemon.dylib\",\n" +
                      "\t\t\"type\": \"absolute\"\n" +
                      "\t}, {\n" +
                      "\t\t\"name\": \"vmgfaker\",\n" +
                      "\t\t\"dir\": \"/var/mobile/GFaker\",\n" +
                      "\t\t\"type\": \"absolute\"\n" +
                      "\t}, {\n" +
                      "\t\t\"name\": \"vmnztdata\",\n" +
                      "\t\t\"dir\": \"/var/mobile/nztdata\",\n" +
                      "\t\t\"type\": \"absolute\"\n" +
                      "\t}, {\n" +
                      "\t\t\"name\": \"vmawzdata\",\n" +
                      "\t\t\"dir\": \"/var/mobile/awzdata\",\n" +
                      "\t\t\"type\": \"absolute\"\n" +
                      "\t}, {\n" +
                      "\t\t\"name\": \"vmigrimace\",\n" +
                      "\t\t\"dir\": \"/var/mobile/iGrimace\",\n" +
                      "\t\t\"type\": \"absolute\"\n" +
                      "\t}, {\n" +
                      "\t\t\"name\": \"vmhdfaker\",\n" +
                      "\t\t\"dir\": \"/var/mobile/hdFaker\",\n" +
                      "\t\t\"type\": \"absolute\"\n" +
                      "\t}, {\n" +
                      "\t\t\"name\": \"vmnztresult\",\n" +
                      "\t\t\"dir\": \"/var/mobile/NZTResult.plist\",\n" +
                      "\t\t\"type\": \"absolute\"\n" +
                      "\t}],\n" +
                      "\t\"smsckey\": [{\n" +
                      "\t\t\t\"key\": \"name\",\n" +
                      "\t\t\t\"clazz\": \"UIDevice\",\n" +
                      "\t\t\t\"method\": \"name\",\n" +
                      "\t\t\t\"type\": \"oc\"\n" +
                      "\t\t},\n" +
                      "\t\t{\n" +
                      "\t\t\t\"key\": \"model\",\n" +
                      "\t\t\t\"clazz\": \"UIDevice\",\n" +
                      "\t\t\t\"method\": \"model\",\n" +
                      "\t\t\t\"type\": \"oc\"\n" +
                      "\t\t},\n" +
                      "\t\t{\n" +
                      "\t\t\t\"key\": \"platform\",\n" +
                      "\t\t\t\"clazz\": \"UIDevice\",\n" +
                      "\t\t\t\"method\": \"platform\",\n" +
                      "\t\t\t\"type\": \"oc\"\n" +
                      "\t\t},\n" +
                      "\t\t{\n" +
                      "\t\t\t\"key\": \"hwmodel\",\n" +
                      "\t\t\t\"clazz\": \"UIDevice\",\n" +
                      "\t\t\t\"method\": \"hwmodel\",\n" +
                      "\t\t\t\"type\": \"oc\"\n" +
                      "\t\t},\n" +
                      "\t\t{\n" +
                      "\t\t\t\"key\": \"systemVersion\",\n" +
                      "\t\t\t\"clazz\": \"UIDevice\",\n" +
                      "\t\t\t\"method\": \"systemVersion\",\n" +
                      "\t\t\t\"type\": \"oc\"\n" +
                      "\t\t},\n" +
                      "\t\t{\n" +
                      "\t\t\t\"key\": \"localizedModel\",\n" +
                      "\t\t\t\"clazz\": \"UIDevice\",\n" +
                      "\t\t\t\"method\": \"localizedModel\",\n" +
                      "\t\t\t\"type\": \"oc\"\n" +
                      "\t\t},\n" +
                      "\t\t{\n" +
                      "\t\t\t\"key\": \"identifierForVendor\",\n" +
                      "\t\t\t\"clazz\": \"UIDevice\",\n" +
                      "\t\t\t\"method\": \"identifierForVendor\",\n" +
                      "\t\t\t\"type\": \"oc\"\n" +
                      "\t\t},\n" +
                      "\t\t{\n" +
                      "\t\t\t\"key\": \"carrierName\",\n" +
                      "\t\t\t\"clazz\": \"CTCarrier\",\n" +
                      "\t\t\t\"method\": \"carrierName\",\n" +
                      "\t\t\t\"type\": \"oc\"\n" +
                      "\t\t},\n" +
                      "\t\t{\n" +
                      "\t\t\t\"key\": \"isoCountryCode\",\n" +
                      "\t\t\t\"clazz\": \"CTCarrier\",\n" +
                      "\t\t\t\"method\": \"isoCountryCode\",\n" +
                      "\t\t\t\"type\": \"oc\"\n" +
                      "\t\t},\n" +
                      "\t\t{\n" +
                      "\t\t\t\"key\": \"mobileCountryCode\",\n" +
                      "\t\t\t\"clazz\": \"CTCarrier\",\n" +
                      "\t\t\t\"method\": \"mobileCountryCode\",\n" +
                      "\t\t\t\"type\": \"oc\"\n" +
                      "\t\t},\n" +
                      "\t\t{\n" +
                      "\t\t\t\"key\": \"mobileNetworkCode\",\n" +
                      "\t\t\t\"clazz\": \"CTCarrier\",\n" +
                      "\t\t\t\"method\": \"mobileNetworkCode\",\n" +
                      "\t\t\t\"type\": \"oc\"\n" +
                      "\t\t},\n" +
                      "\t\t{\n" +
                      "\t\t\t\"key\": \"isReachableViaWiFi\",\n" +
                      "\t\t\t\"clazz\": \"Reachability\",\n" +
                      "\t\t\t\"method\": \"isReachableViaWiFi\",\n" +
                      "\t\t\t\"type\": \"oc\"\n" +
                      "\t\t},\n" +
                      "\t\t{\n" +
                      "\t\t\t\"key\": \"isReachableViaWWANP\",\n" +
                      "\t\t\t\"clazz\": \"Reachability\",\n" +
                      "\t\t\t\"method\": \"isReachableViaWWANP\",\n" +
                      "\t\t\t\"type\": \"oc\"\n" +
                      "\t\t},\n" +
                      "\t\t{\n" +
                      "\t\t\t\"key\": \"reachabilityForInternetConnection\",\n" +
                      "\t\t\t\"clazz\": \"Reachability\",\n" +
                      "\t\t\t\"method\": \"reachabilityForInternetConnection\",\n" +
                      "\t\t\t\"type\": \"oc\"\n" +
                      "\t\t},\n" +
                      "\t\t{\n" +
                      "\t\t\t\"key\": \"currentRadioAccessTechnology\",\n" +
                      "\t\t\t\"clazz\": \"CTTelephonyNetworkInfo\",\n" +
                      "\t\t\t\"method\": \"currentRadioAccessTechnology\",\n" +
                      "\t\t\t\"type\": \"oc\"\n" +
                      "\t\t},\n" +
                      "\t\t{\n" +
                      "\t\t\t\"key\": \"value\",\n" +
                      "\t\t\t\"clazz\": \"OpenUDID\",\n" +
                      "\t\t\t\"method\": \"value\",\n" +
                      "\t\t\t\"type\": \"oc\"\n" +
                      "\t\t},\n" +
                      "\t\t{\n" +
                      "\t\t\t\"key\": \"valueWithError\",\n" +
                      "\t\t\t\"clazz\": \"OpenUDID\",\n" +
                      "\t\t\t\"method\": \"valueWithError\",\n" +
                      "\t\t\t\"type\": \"oc\"\n" +
                      "\t\t}\n" +
                      "\t],\n" +
                      "\"period\":1800"+
                      "}";

        str = str.replaceAll("\n","");
        str = str.replaceAll("\t","");
        DeviceConf deviceConf = new DeviceConf(str, true, "ios");
        mongoTemplate.insert(deviceConf);

        return new ResultObject(HttpServletResponse.SC_OK);
    }

    /**
     * 描述：新增配置信息
     *
     * @return ResultObject
     * @author maochengyuan
     * @created 2018/9/1 20:17
     */
    @RequestMapping(value = "/insertAndroidConf", method = RequestMethod.GET)
    @ResponseBody
    public ResultObject insertAndroidConf() {
        String str = "{\n" +
                "\t\"risk_apps\": [{\n" +
                "\t\t\t\"name\": \"xposed\",\n" +
                "\t\t\t\"pn\": \"de.robv.android.xposed.installer\",\n" +
                "\t\t\t\"uri\": \"\"\n" +
                "\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"name\": \"controllers\",\n" +
                "\t\t\t\"pn\": \"com.soft.controllers\",\n" +
                "\t\t\t\"uri\": \"\"\n" +
                "\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"name\": \"apk008v\",\n" +
                "\t\t\t\"pn\": \"com.soft.apk008v\",\n" +
                "\t\t\t\"uri\": \"\"\n" +
                "\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"name\": \"apk008Tool\",\n" +
                "\t\t\t\"pn\": \"com.soft.apk008Tool\",\n" +
                "\t\t\t\"uri\": \"\"\n" +
                "\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"name\": \"ig\",\n" +
                "\t\t\t\"pn\": \"com.doubee.ig\",\n" +
                "\t\t\t\"uri\": \"\"\n" +
                "\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"name\": \"anjian\",\n" +
                "\t\t\t\"pn\": \"com.cyjh.mobileanjian\",\n" +
                "\t\t\t\"uri\": \"\"\n" +
                "\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"rktech\": {\n" +
                "\t\t\t\t\"pn\": \"com.ruokuai.rktech\",\n" +
                "\t\t\t\t\"uri\": \"\"\n" +
                "\t\t\t}\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"name\": \"magisk\",\n" +
                "\t\t\t\"pn\": \"com.topjohnwu.magisk\",\n" +
                "\t\t\t\"uri\": \"\"\n" +
                "\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"name\": \"kinguser\",\n" +
                "\t\t\t\"pn\": \"com.kingroot.kinguser\",\n" +
                "\t\t\t\"uri\": \"\"\n" +
                "\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"name\": \"substrate\",\n" +
                "\t\t\t\"pn\": \"com.saurik.substrate\",\n" +
                "\t\t\t\"uri\": \"\"\n" +
                "\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"name\": \"touchsprite\",\n" +
                "\t\t\t\"pn\": \"com.touchsprite.android\",\n" +
                "\t\t\t\"uri\": \"\"\n" +
                "\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"name\": \"scriptdroid\",\n" +
                "\t\t\t\"pn\": \"com.stardust.scriptdroid\",\n" +
                "\t\t\t\"uri\": \"\"\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"name\": \"toolhero\",\n" +
                "\t\t\t\"pn\": \"com.mobileuncle.toolhero\",\n" +
                "\t\t\t\"uri\": \"\"\n" +
                "\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"name\": \"huluxia\",\n" +
                "\t\t\t\"pn\": \"com.huluxia.gametools\",\n" +
                "\t\t\t\"uri\": \"\"\n" +
                "\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"name\": \"apkeditor\",\n" +
                "\t\t\t\"pn\": \"com.gmail.heagoo.apkeditor.pro\",\n" +
                "\t\t\t\"uri\": \"\"\n" +
                "\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"name\": \"xposeddev\",\n" +
                "\t\t\t\"pn\": \"com.sollyu.xposed.hook.model.dev\",\n" +
                "\t\t\t\"uri\": \"\"\n" +
                "\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"name\": \"anywhere\",\n" +
                "\t\t\t\"pn\": \"com.txy.anywhere\",\n" +
                "\t\t\t\"uri\": \"\"\n" +
                "\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"name\": \"burgerzwsm\",\n" +
                "\t\t\t\"pn\": \"pro.burgerz.wsm.manager\",\n" +
                "\t\t\t\"uri\": \"\"\n" +
                "\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"name\": \"vdloc\",\n" +
                "\t\t\t\"pn\": \"com.virtualdroid.loc\",\n" +
                "\t\t\t\"uri\": \"\"\n" +
                "\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"name\": \"vdtxl\",\n" +
                "\t\t\t\"pn\": \"com.virtualdroid.txl\",\n" +
                "\t\t\t\"uri\": \"\"\n" +
                "\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"name\": \"vdwzs\",\n" +
                "\t\t\t\"pn\": \"com.virtualdroid.wzs\",\n" +
                "\t\t\t\"uri\": \"\"\n" +
                "\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"name\": \"vdkit\",\n" +
                "\t\t\t\"pn\": \"com.virtualdroid.kit\",\n" +
                "\t\t\t\"uri\": \"\"\n" +
                "\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"name\": \"vdwxg\",\n" +
                "\t\t\t\"pn\": \"com.virtualdroid.wxg\",\n" +
                "\t\t\t\"uri\": \"\"\n" +
                "\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"name\": \"vdgps\",\n" +
                "\t\t\t\"pn\": \"com.virtualdroid.gps\",\n" +
                "\t\t\t\"uri\": \"\"\n" +
                "\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"name\": \"a1024mloc\",\n" +
                "\t\t\t\"pn\": \"top.a1024bytes.mockloc.ca.pro\",\n" +
                "\t\t\t\"uri\": \"\"\n" +
                "\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"name\": \"drhgz\",\n" +
                "\t\t\t\"pn\": \"com.deruhai.guangzi.noroot2\",\n" +
                "\t\t\t\"uri\": \"\"\n" +
                "\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"name\": \"yggb\",\n" +
                "\t\t\t\"pn\": \"com.mcmonjmb.yggb\",\n" +
                "\t\t\t\"uri\": \"\"\n" +
                "\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"name\": \"xsrv\",\n" +
                "\t\t\t\"pn\": \"xiake.xserver\",\n" +
                "\t\t\t\"uri\": \"\"\n" +
                "\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"name\": \"fakeloc\",\n" +
                "\t\t\t\"pn\": \"com.dracrays.fakeloc\",\n" +
                "\t\t\t\"uri\": \"\"\n" +
                "\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"name\": \"ultra\",\n" +
                "\t\t\t\"pn\": \"net.anylocation.ultra\",\n" +
                "\t\t\t\"uri\": \"\"\n" +
                "\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"name\": \"locationcheater\",\n" +
                "\t\t\t\"pn\": \"com.wifi99.android.locationcheater\",\n" +
                "\t\t\t\"uri\": \"\"\n" +
                "\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"name\": \"dwzs\",\n" +
                "\t\t\t\"pn\": \"com.dingweizshou\",\n" +
                "\t\t\t\"uri\": \"\"\n" +
                "\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"name\": \"mockloc\",\n" +
                "\t\t\t\"pn\": \"top.a1024bytes.mockloc.ca.pro\",\n" +
                "\t\t\t\"uri\": \"\"\n" +
                "\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"name\": \"anywhereclone\",\n" +
                "\t\t\t\"pn\": \"com.txy.anywhere.clone\",\n" +
                "\t\t\t\"uri\": \"\"\n" +
                "\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"name\": \"fakelocc\",\n" +
                "\t\t\t\"pn\": \"com.dracrays.fakelocc\",\n" +
                "\t\t\t\"uri\": \"\"\n" +
                "\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"name\": \"mockwxlocation\",\n" +
                "\t\t\t\"pn\": \"com.tandy.android.mockwxlocation\",\n" +
                "\t\t\t\"uri\": \"\"\n" +
                "\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"name\": \"anylocation\",\n" +
                "\t\t\t\"pn\": \"net.anylocation\",\n" +
                "\t\t\t\"uri\": \"\"\n" +
                "\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"name\": \"totalcontrol\",\n" +
                "\t\t\t\"pn\": \"com.sigma_rt.totalcontrol\",\n" +
                "\t\t\t\"uri\": \"\"\n" +
                "\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"name\": \"ipjl2\",\n" +
                "\t\t\t\"pn\": \"com.chuangdian.ipjl2\",\n" +
                "\t\t\t\"uri\": \"\"\n" +
                "\n" +
                "\t\t}\n" +
                "\t],\n" +
                "\t\"risk_dirs\": [{\n" +
                "\t\t\t\"name\": \"touchelper\",\n" +
                "\t\t\t\"dir\": \"/data/data/net.aisence.Touchelper\",\n" +
                "\t\t\t\"type\": \"absolute\"\n" +
                "\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"name\": \"elfscript\",\n" +
                "\t\t\t\"dir\": \"/mnt/sdcard/touchelf/scripts/\",\n" +
                "\t\t\t\"type\": \"absolute\"\n" +
                "\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"name\": \"spritelua\",\n" +
                "\t\t\t\"dir\": \"/mnt/sdcard/TouchSprite/lua\",\n" +
                "\t\t\t\"type\": \"absolute\"\n" +
                "\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"name\": \"spritelog\",\n" +
                "\t\t\t\"dir\": \"/mnt/sdcard/TouchSprite/log\",\n" +
                "\t\t\t\"type\": \"absolute\"\n" +
                "\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"name\": \"assistant\",\n" +
                "\t\t\t\"dir\": \"/data/data/com.xxAssistant\",\n" +
                "\t\t\t\"type\": \"absolute\"\n" +
                "\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"name\": \"assistantscript\",\n" +
                "\t\t\t\"dir\": \"/mnt/sdcard/com.xxAssistant/script\",\n" +
                "\t\t\t\"type\": \"absolute\"\n" +
                "\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"name\": \"mobileanjian\",\n" +
                "\t\t\t\"dir\": \"/data/data/com.cyjh.mobileanjian\",\n" +
                "\t\t\t\"type\": \"absolute\"\n" +
                "\n" +
                "\t\t}\n" +
                "\t],\n" +
                "\t\"risk_file_switch\": true,\n" +
                "\t\"risk_files\": [{\n" +
                "\t\t\t\"key\": \"maps\",\n" +
                "\t\t\t\"type\": \"file\",\n" +
                "\t\t\t\"path\": \"file:///proc/self/maps\",\n" +
                "\t\t\t\"option\": \"match_ic\",\n" +
                "\t\t\t\"words\": [\n" +
                "\t\t\t\t\"com.bly.dkplat\",\n" +
                "\t\t\t\t\"com.excelliance.dualaid\",\n" +
                "\t\t\t\t\"com.bfire.da.nui\",\n" +
                "\t\t\t\t\"com.svm.proteinbox_multi\",\n" +
                "\t\t\t\t\"com.boly.wxnewcopy\",\n" +
                "\t\t\t\t\"com.juying.Jixiaomi.fenshen\",\n" +
                "\t\t\t\t\"com.qihoo.magic\",\n" +
                "\t\t\t\t\"com.godinsec.godinsec_private_space\",\n" +
                "\t\t\t\t\"com.sellapk.goapp\",\n" +
                "\t\t\t\t\"com.yizhi.ftd\",\n" +
                "\t\t\t\t\"com.qihoo.magic.xposed\",\n" +
                "\t\t\t\t\"com.excean.dualaid\",\n" +
                "\t\t\t\t\"com.shiyue.avatarlauncher\",\n" +
                "\t\t\t\t\"com.excean.masaid\",\n" +
                "\t\t\t\t\"com.rinzz.avatar\",\n" +
                "\t\t\t\t\"info.red.virtual\",\n" +
                "\t\t\t\t\"com.depu.wxfs\",\n" +
                "\t\t\t\t\"com.sheep2.xyfs\",\n" +
                "\t\t\t\t\"cn.nineox.pupfish\",\n" +
                "\t\t\t\t\"com.shaker.wxxh.moli.fs\",\n" +
                "\t\t\t\t\"com.fssq.weichat\",\n" +
                "\t\t\t\t\"com.smallyin.Avaassis\",\n" +
                "\t\t\t\t\"com.meta.app.fenshen\",\n" +
                "\t\t\t\t\"com.yxd.shpk_multi\",\n" +
                "\t\t\t\t\"com.xiandong.fst\",\n" +
                "\t\t\t\t\"com.xunrui.duokai_box\",\n" +
                "\t\t\t\t\"com.felix.shuangkai\",\n" +
                "\t\t\t\t\"com.dbhydbhy.duokai\",\n" +
                "\t\t\t\t\"com.xuanmutech.fenkai\",\n" +
                "\t\t\t\t\"com.felix.duokai\",\n" +
                "\t\t\t\t\"com.magic.app.reader01\",\n" +
                "\t\t\t\t\"com.cxhcxh.duokai\",\n" +
                "\t\t\t\t\"com.dongguaququ.duokai\",\n" +
                "\t\t\t\t\"com.felix.fenshen\",\n" +
                "\t\t\t\t\"com.nox.mopen.app\",\n" +
                "\t\t\t\t\"com.boly.wxmultopen\",\n" +
                "\t\t\t\t\"com.tyzhzxl.dkwxzs\",\n" +
                "\t\t\t\t\"com.chufa.skzs\",\n" +
                "\t\t\t\t\"com.lbe.parallel\",\n" +
                "\t\t\t\t\"dkmodel\",\n" +
                "\t\t\t\t\"io.virtualapp\",\n" +
                "\t\t\t\t\"com.coloros.oppomultiapp\",\n" +
                "\t\t\t\t\"com.lbe.parallel.intl\",\n" +
                "\t\t\t\t\"com.jumobile.multiapp\",\n" +
                "\t\t\t\t\"com.jumobile.smartapp\",\n" +
                "\t\t\t\t\"info.cloneapp.mochat.in.goast\",\n" +
                "\t\t\t\t\"com.excelliance.multiaccounts\",\n" +
                "\t\t\t\t\"com.ludashi.dualspace\",\n" +
                "\t\t\t\t\"cn.lapstudio.weiduokai\",\n" +
                "\t\t\t\t\"com.parallel.space.lite\",\n" +
                "\t\t\t\t\"com.jiubang.commerce.gomultiple\",\n" +
                "\t\t\t\t\"cn.lapstudio.aid\",\n" +
                "\t\t\t\t\"com.arc.multi\",\n" +
                "\t\t\t\t\"com.nox.mopen.app\",\n" +
                "\t\t\t\t\"io.virtualapp.luohe\",\n" +
                "\t\t\t\t\"com.ludashi.superboost\",\n" +
                "\t\t\t\t\"com.zhushou.weichat\",\n" +
                "\t\t\t\t\"zc.wormhole\",\n" +
                "\t\t\t\t\"com.lanrun.yxjl\",\n" +
                "\t\t\t\t\"com.ivymobi.multiaccount.free\",\n" +
                "\t\t\t\t\"cloner.parallel.space.multiple.accounts.twoface\",\n" +
                "\t\t\t\t\"com.lylm.dkzs\",\n" +
                "\t\t\t\t\"com.rinzz.avatar\",\n" +
                "\t\t\t\t\"com.ludashi.multspace\",\n" +
                "\t\t\t\t\"com.trigtech.privateme\",\n" +
                "\t\t\t\t\"com.jun.virtual\",\n" +
                "\t\t\t\t\"com.pldasoft.dualapp\",\n" +
                "\t\t\t\t\"com.youxi.shuangkai.help\",\n" +
                "\t\t\t\t\"com.jumobile.multiapp.pro\",\n" +
                "\t\t\t\t\"com.applisto.appcloner\",\n" +
                "\t\t\t\t\"multiple.multiple.parallel.accounts.cloner.mochat\",\n" +
                "\t\t\t\t\"com.bba.vma\",\n" +
                "\t\t\t\t\"com.rinzz.wdf\"\n" +
                "\t\t\t]\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"key\": \"interrupts\",\n" +
                "\t\t\t\"type\": \"file\",\n" +
                "\t\t\t\"path\": \"file:///proc/interrupts\",\n" +
                "\t\t\t\"words\": [\n" +
                "\t\t\t\t\"hypervisor\",\n" +
                "\t\t\t\t\"goldfish\"\n" +
                "\t\t\t]\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"key\": \"iomem\",\n" +
                "\t\t\t\"type\": \"file\",\n" +
                "\t\t\t\"path\": \"file:///proc/iomem\",\n" +
                "\t\t\t\"option\": \"match\",\n" +
                "\t\t\t\"words\": [\n" +
                "\t\t\t\t\"qemu-pipe\",\n" +
                "\t\t\t\t\"goldfish\",\n" +
                "\t\t\t\t\"vbox\"\n" +
                "\t\t\t]\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"key\": \"ioports\",\n" +
                "\t\t\t\"type\": \"file\",\n" +
                "\t\t\t\"path\": \"file:///proc/ioports\",\n" +
                "\t\t\t\"words\": [\n" +
                "\t\t\t\t\"virtio\",\n" +
                "\t\t\t\t\"goldfish\"\n" +
                "\t\t\t]\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"key\": \"misc\",\n" +
                "\t\t\t\"type\": \"file\",\n" +
                "\t\t\t\"path\": \"file:///proc/misc\",\n" +
                "\t\t\t\"words\": [\n" +
                "\t\t\t\t\"vbox\",\n" +
                "\t\t\t\t\"qemu\"\n" +
                "\t\t\t]\n" +
                "\t\t},\n" +
                "\t\t{\n" +
                "\t\t\t\"key\": \"kallsyms\",\n" +
                "\t\t\t\"type\": \"file\",\n" +
                "\t\t\t\"path\": \"file:///proc/kallsyms\",\n" +
                "\t\t\t\"words\": [\n" +
                "\t\t\t\t\"vbox\",\n" +
                "\t\t\t\t\"qemu\",\n" +
                "\t\t\t\t\"goldfish\"\n" +
                "\t\t\t]\n" +
                "\t\t}\n" +
                "\t],\n" +
                "\t\"white_apps\": [\n" +
                "\n" +
                "\t],\n" +
                "\"update\":{"+
                "\"isupdate\":true,"+
                "\"jarurl\":\"https://39.104.115.147:10081/downloadFile\","+
                "\"key\":\"5662e7c3d61fd5e0e67acd8bace6d1b0\""+
                "},"+
                "\"period\":1800"+
                "}";
        str = str.replaceAll("\n","");
        str = str.replaceAll("\t","");
        DeviceConf deviceConf = new DeviceConf(str, true, "android");
        mongoTemplate.insert(deviceConf);

        return new ResultObject(HttpServletResponse.SC_OK);
    }

//    /**
//     * 描述：新增
//     *
//     * @return ResultObject
//     * @author maochengyuan
//     * @created 2018/9/1 20:17
//     */
//    @RequestMapping(value = "/insertRiskAppIos", method = RequestMethod.GET)
//    @ResponseBody
//    public ResultObject insertRiskApp() {
//        String str = "[{\n" +
//                "\t\t\"awz\": {\n" +
//                "\t\t\t\"pn\": \"/Applications/AWZ.app\",\n" +
//                "\t\t\t\"uri\": \"IGG://\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"nzt\": {\n" +
//                "\t\t\t\"pn\": \"/Applications/NZT.app\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"igvx\": {\n" +
//                "\t\t\t\"pn\": \"/Applications/igvx.app\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"touchelf\": {\n" +
//                "\t\t\t\"pn\": \"/Applications/TouchElf.app\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"touchsprite\": {\n" +
//                "\t\t\t\"pn\": \"/Applications/TouchSprite.app\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"wujivpn\": {\n" +
//                "\t\t\t\"pn\": \"/Applications/WujiVPN.app\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"rst\": {\n" +
//                "\t\t\t\"pn\": \"/Applications/RST.app\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"forge9\": {\n" +
//                "\t\t\t\"pn\": \"/Applications/Forge9.app\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"forge\": {\n" +
//                "\t\t\t\"pn\": \"/Applications/Forge.app\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"gfaker\": {\n" +
//                "\t\t\t\"pn\": \"/Applications/GFaker.app\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"hdfaker\": {\n" +
//                "\t\t\t\"pn\": \"/Applications/hdfakerset.app\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"r8\": {\n" +
//                "\t\t\t\"pn\": \"/Applications/R8.app\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"pranava\": {\n" +
//                "\t\t\t\"pn\": \"/Applications/Pranava.app\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"ig\": {\n" +
//                "\t\t\t\"pn\": \"/Applications/iG.app\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"hiddenapi\": {\n" +
//                "\t\t\t\"pn\": \"/Applications/HiddenApi.app\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"xgsab\": {\n" +
//                "\t\t\t\"pn\": \"/Applications/Xgen.app\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"birdfaker9\": {\n" +
//                "\t\t\t\"pn\": \"/Applications/BirdFaker9.app\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"vpnmaster\": {\n" +
//                "\t\t\t\"pn\": \"/Applications/VPNMasterPro.app\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"guizmovpn\": {\n" +
//                "\t\t\t\"pn\": \"/Applications/GuizmOVPN.app\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"axj\": {\n" +
//                "\t\t\t\"pn\": \"/Applications/AXJ.app\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t}\n" +
//                "]";
//
//        JSONArray jsonArray = JSON.parseArray(str);
//        for (int i = 0; i < jsonArray.size(); i++) {
//            Map map = jsonArray.getJSONObject(i);
//            for (Object obj : map.keySet()) {
//                String name = (String) obj;
//                JSONObject json = (JSONObject) map.get(obj);
//
//                String pn = json.getString("pn");
//                String uri = json.getString("uri");
//                RiskApp riskApp = new RiskApp(name, pn, uri, "ios");
//                mongoTemplate.insert(riskApp);
//                System.out.println("插入数量："+i+1);
//            }
//
//        }
//        return new ResultObject(HttpServletResponse.SC_OK);
//
//    }
//
//
//    /**
//     * 描述：新增
//     *
//     * @return ResultObject
//     * @author maochengyuan
//     * @created 2018/9/1 20:17
//     */
//    @RequestMapping(value = "/insertRiskAppAndroid", method = RequestMethod.GET)
//    @ResponseBody
//    public ResultObject insertRiskAppAndroid() {
//        String str = "[{\n" +
//                "\t\t\"xposed\": {\n" +
//                "\t\t\t\"pn\": \"de.robv.android.xposed.installer\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"controllers\": {\n" +
//                "\t\t\t\"pn\": \"com.soft.controllers\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"apk008v\": {\n" +
//                "\t\t\t\"pn\": \"com.soft.apk008v\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"apk008Tool\": {\n" +
//                "\t\t\t\"pn\": \"com.soft.apk008Tool\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"ig\": {\n" +
//                "\t\t\t\"pn\": \"com.doubee.ig\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"anjian\": {\n" +
//                "\t\t\t\"pn\": \"com.cyjh.mobileanjian\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"rktech\": {\n" +
//                "\t\t\t\"pn\": \"com.ruokuai.rktech\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"magisk\": {\n" +
//                "\t\t\t\"pn\": \"com.topjohnwu.magisk\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"kinguser\": {\n" +
//                "\t\t\t\"pn\": \"com.kingroot.kinguser\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"substrate\": {\n" +
//                "\t\t\t\"pn\": \"com.saurik.substrate\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"touchsprite\": {\n" +
//                "\t\t\t\"pn\": \"com.touchsprite.android\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"scriptdroid\": {\n" +
//                "\t\t\t\"pn\": \"com.stardust.scriptdroid\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"toolhero\": {\n" +
//                "\t\t\t\"pn\": \"com.mobileuncle.toolhero\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"huluxia\": {\n" +
//                "\t\t\t\"pn\": \"com.huluxia.gametools\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"apkeditor\": {\n" +
//                "\t\t\t\"pn\": \"com.gmail.heagoo.apkeditor.pro\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"xposeddev\": {\n" +
//                "\t\t\t\"pn\": \"com.sollyu.xposed.hook.model.dev\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"anywhere\": {\n" +
//                "\t\t\t\"pn\": \"com.txy.anywhere\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"burgerzwsm\": {\n" +
//                "\t\t\t\"pn\": \"pro.burgerz.wsm.manager\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"vdloc\": {\n" +
//                "\t\t\t\"pn\": \"com.virtualdroid.loc\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"vdtxl\": {\n" +
//                "\t\t\t\"pn\": \"com.virtualdroid.txl\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"vdwzs\": {\n" +
//                "\t\t\t\"pn\": \"com.virtualdroid.wzs\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"vdkit\": {\n" +
//                "\t\t\t\"pn\": \"com.virtualdroid.kit\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"vdwxg\": {\n" +
//                "\t\t\t\"pn\": \"com.virtualdroid.wxg\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"vdgps\": {\n" +
//                "\t\t\t\"pn\": \"com.virtualdroid.gps\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"a1024mloc\": {\n" +
//                "\t\t\t\"pn\": \"top.a1024bytes.mockloc.ca.pro\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"drhgz\": {\n" +
//                "\t\t\t\"pn\": \"com.deruhai.guangzi.noroot2\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"yggb\": {\n" +
//                "\t\t\t\"pn\": \"com.mcmonjmb.yggb\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"xsrv\": {\n" +
//                "\t\t\t\"pn\": \"xiake.xserver\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"fakeloc\": {\n" +
//                "\t\t\t\"pn\": \"com.dracrays.fakeloc\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"ultra\": {\n" +
//                "\t\t\t\"pn\": \"net.anylocation.ultra\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"locationcheater\": {\n" +
//                "\t\t\t\"pn\": \"com.wifi99.android.locationcheater\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"dwzs\": {\n" +
//                "\t\t\t\"pn\": \"com.dingweizshou\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"mockloc\": {\n" +
//                "\t\t\t\"pn\": \"top.a1024bytes.mockloc.ca.pro\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"anywhereclone\": {\n" +
//                "\t\t\t\"pn\": \"com.txy.anywhere.clone\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"fakelocc\": {\n" +
//                "\t\t\t\"pn\": \"com.dracrays.fakelocc\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"mockwxlocation\": {\n" +
//                "\t\t\t\"pn\": \"com.tandy.android.mockwxlocation\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"anylocation\": {\n" +
//                "\t\t\t\"pn\": \"net.anylocation\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"totalcontrol\": {\n" +
//                "\t\t\t\"pn\": \"com.sigma_rt.totalcontrol\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"ipjl2\": {\n" +
//                "\t\t\t\"pn\": \"com.chuangdian.ipjl2\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t}\n" +
//                "]";
//
//        JSONArray jsonArray = JSON.parseArray(str);
//        for (int i = 0; i < jsonArray.size(); i++) {
//            Map map = jsonArray.getJSONObject(i);
//            for (Object obj : map.keySet()) {
//                String name = (String) obj;
//                JSONObject json = (JSONObject) map.get(obj);
//
//                String pn = json.getString("pn");
//                String uri = json.getString("uri");
//                RiskApp riskApp = new RiskApp(name, pn, uri, "android");
//                mongoTemplate.insert(riskApp);
//                System.out.println("插入数量："+i+1);
//            }
//
//        }
//        return new ResultObject(HttpServletResponse.SC_OK);
//
//    }
//
//
//
//    /**
//     * 描述：新增
//     *
//     * @return ResultObject
//     * @author maochengyuan
//     * @created 2018/9/1 20:17
//     */
//    @RequestMapping(value = "/insertRiskDirIos", method = RequestMethod.GET)
//    @ResponseBody
//    public ResultObject insertRiskDirIos() {
//        String str = "[{\n" +
//                "\t\t\"vts\": {\n" +
//                "\t\t\t\"dir\": \"/var/touchelf/scripts/\",\n" +
//                "\t\t\t\"type\": \"absolute\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"vmmtl\": {\n" +
//                "\t\t\t\"dir\": \"/var/mobile/Media/TouchSprite/lua/\",\n" +
//                "\t\t\t\"type\": \"absolute\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"vmlxlltp\": {\n" +
//                "\t\t\t\"dir\": \"/var/mobile/Library/XXAssistant/Lua/Luas/Temp/public\",\n" +
//                "\t\t\t\"type\": \"absolute\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"laxlltp\": {\n" +
//                "\t\t\t\"dir\": \"/Library/ApplicationSupport/XXAssistant/Lua/Luas/Temp/public\",\n" +
//                "\t\t\t\"type\": \"absolute\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"vmlxx\": {\n" +
//                "\t\t\t\"dir\": \"/var/mobile/Library/XXIDEHelper/xsp/\",\n" +
//                "\t\t\t\"type\": \"absolute\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"laxx\": {\n" +
//                "\t\t\t\"dir\": \"/Library/ApplicationSupport/XXIDEHelper/xsp/\",\n" +
//                "\t\t\t\"type\": \"absolute\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"vmlxll\": {\n" +
//                "\t\t\t\"dir\": \"/var/mobile/Library/XXAssistant/Lua/LocalLuas/\",\n" +
//                "\t\t\t\"type\": \"absolute\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"laxll\": {\n" +
//                "\t\t\t\"dir\": \"/Library/ApplicationSupport/XXAssistant/Lua/LocalLuas/\",\n" +
//                "\t\t\t\"type\": \"absolute\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"vri\": {\n" +
//                "\t\t\t\"dir\": \"/var/root/igfix\",\n" +
//                "\t\t\t\"type\": \"absolute\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"vrigf\": {\n" +
//                "\t\t\t\"dir\": \"/var/root/igflag\",\n" +
//                "\t\t\t\"type\": \"absolute\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"vrr8f\": {\n" +
//                "\t\t\t\"dir\": \"/var/root/R8_fix\",\n" +
//                "\t\t\t\"type\": \"absolute\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"vrif\": {\n" +
//                "\t\t\t\"dir\": \"/var/root/igvx_fix\",\n" +
//                "\t\t\t\"type\": \"absolute\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"vrifg\": {\n" +
//                "\t\t\t\"dir\": \"/var/root/igvx_flag\",\n" +
//                "\t\t\t\"type\": \"absolute\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"vrf9\": {\n" +
//                "\t\t\t\"dir\": \"/var/root/Forge9_fix\",\n" +
//                "\t\t\t\"type\": \"absolute\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"ubi\": {\n" +
//                "\t\t\t\"dir\": \"/usr/bin/iGevo\",\n" +
//                "\t\t\t\"type\": \"absolute\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"ubxd\": {\n" +
//                "\t\t\t\"dir\": \"/usr/bin/XGenDaemon.dylib\",\n" +
//                "\t\t\t\"type\": \"absolute\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"vmgfaker\": {\n" +
//                "\t\t\t\"dir\": \"/var/mobile/GFaker\",\n" +
//                "\t\t\t\"type\": \"absolute\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"vmnztdata\": {\n" +
//                "\t\t\t\"dir\": \"/var/mobile/nztdata\",\n" +
//                "\t\t\t\"type\": \"absolute\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"vmawzdata\": {\n" +
//                "\t\t\t\"dir\": \"/var/mobile/awzdata\",\n" +
//                "\t\t\t\"type\": \"absolute\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"vmigrimace\": {\n" +
//                "\t\t\t\"dir\": \"/var/mobile/iGrimace\",\n" +
//                "\t\t\t\"type\": \"absolute\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"vmhdfaker\": {\n" +
//                "\t\t\t\"dir\": \"/var/mobile/hdFaker\",\n" +
//                "\t\t\t\"type\": \"absolute\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"vmnztresult\": {\n" +
//                "\t\t\t\"dir\": \"/var/mobile/NZTResult.plist\",\n" +
//                "\t\t\t\"type\": \"absolute\"\n" +
//                "\t\t}\n" +
//                "\t}\n" +
//                "]";
//
//        JSONArray jsonArray = JSON.parseArray(str);
//        for (int i = 0; i < jsonArray.size(); i++) {
//            Map map = jsonArray.getJSONObject(i);
//            for (Object obj : map.keySet()) {
//                String name = (String) obj;
//                JSONObject json = (JSONObject) map.get(obj);
//
//                String pn = json.getString("dir");
//                String uri = json.getString("type");
//                RiskDir riskDir = new RiskDir(name, pn, uri, "ios");
//                mongoTemplate.insert(riskDir);
//                System.out.println("插入数量："+i+1);
//            }
//
//        }
//        return new ResultObject(HttpServletResponse.SC_OK);
//
//    }
//
//    /**
//     * 描述：新增
//     *
//     * @return ResultObject
//     * @author maochengyuan
//     * @created 2018/9/1 20:17
//     */
//    @RequestMapping(value = "/insertRiskDirAndroid", method = RequestMethod.GET)
//    @ResponseBody
//    public ResultObject insertRiskDirAndroid() {
//        String str = "[{\n" +
//                "\t\t\"touchelper\": {\n" +
//                "\t\t\t\"dir\": \"/data/data/net.aisence.Touchelper\",\n" +
//                "\t\t\t\"type\": \"absolute\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"elfscript\": {\n" +
//                "\t\t\t\"dir\": \"/mnt/sdcard/touchelf/scripts/\",\n" +
//                "\t\t\t\"type\": \"absolute\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"spritelua\": {\n" +
//                "\t\t\t\"dir\": \"/mnt/sdcard/TouchSprite/lua\",\n" +
//                "\t\t\t\"type\": \"absolute\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"spritelog\": {\n" +
//                "\t\t\t\"dir\": \"/mnt/sdcard/TouchSprite/log\",\n" +
//                "\t\t\t\"type\": \"absolute\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"assistant\": {\n" +
//                "\t\t\t\"dir\": \"/data/data/com.xxAssistant\",\n" +
//                "\t\t\t\"type\": \"absolute\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"assistantscript\": {\n" +
//                "\t\t\t\"dir\": \"/mnt/sdcard/com.xxAssistant/script\",\n" +
//                "\t\t\t\"type\": \"absolute\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"mobileanjian\": {\n" +
//                "\t\t\t\"dir\": \"/data/data/com.cyjh.mobileanjian\",\n" +
//                "\t\t\t\"type\": \"absolute\"\n" +
//                "\t\t}\n" +
//                "\t}\n" +
//                "]";
//
//        JSONArray jsonArray = JSON.parseArray(str);
//        for (int i = 0; i < jsonArray.size(); i++) {
//            Map map = jsonArray.getJSONObject(i);
//            for (Object obj : map.keySet()) {
//                String name = (String) obj;
//                JSONObject json = (JSONObject) map.get(obj);
//
//                String pn = json.getString("dir");
//                String uri = json.getString("type");
//                RiskDir riskDir = new RiskDir(name, pn, uri, "android");
//                mongoTemplate.insert(riskDir);
//                System.out.println("插入数量："+i+1);
//            }
//
//        }
//        return new ResultObject(HttpServletResponse.SC_OK);
//
//    }
//
//
//
//    /**
//     * 描述：新增
//     *
//     * @return ResultObject
//     * @author maochengyuan
//     * @created 2018/9/1 20:17
//     */
//    @RequestMapping(value = "/insertRiskFileAndroid", method = RequestMethod.GET)
//    @ResponseBody
//    public ResultObject insertRiskFileAndroid() {
//        String str = "[{\n" +
//                "\t\t\"key\": \"maps\",\n" +
//                "\t\t\"type\": \"file\",\n" +
//                "\t\t\"path\": \"file:///proc/self/maps\",\n" +
//                "\t\t\"option\": \"match_ic\",\n" +
//                "\t\t\"words\": [\n" +
//                "\t\t\t\"com.bly.dkplat\",\n" +
//                "\t\t\t\"com.excelliance.dualaid\",\n" +
//                "\t\t\t\"com.bfire.da.nui\",\n" +
//                "\t\t\t\"com.svm.proteinbox_multi\",\n" +
//                "\t\t\t\"com.boly.wxnewcopy\",\n" +
//                "\t\t\t\"com.juying.Jixiaomi.fenshen\",\n" +
//                "\t\t\t\"com.qihoo.magic\",\n" +
//                "\t\t\t\"com.godinsec.godinsec_private_space\",\n" +
//                "\t\t\t\"com.sellapk.goapp\",\n" +
//                "\t\t\t\"com.yizhi.ftd\",\n" +
//                "\t\t\t\"com.qihoo.magic.xposed\",\n" +
//                "\t\t\t\"com.excean.dualaid\",\n" +
//                "\t\t\t\"com.shiyue.avatarlauncher\",\n" +
//                "\t\t\t\"com.excean.masaid\",\n" +
//                "\t\t\t\"com.rinzz.avatar\",\n" +
//                "\t\t\t\"info.red.virtual\",\n" +
//                "\t\t\t\"com.depu.wxfs\",\n" +
//                "\t\t\t\"com.sheep2.xyfs\",\n" +
//                "\t\t\t\"cn.nineox.pupfish\",\n" +
//                "\t\t\t\"com.shaker.wxxh.moli.fs\",\n" +
//                "\t\t\t\"com.fssq.weichat\",\n" +
//                "\t\t\t\"com.smallyin.Avaassis\",\n" +
//                "\t\t\t\"com.meta.app.fenshen\",\n" +
//                "\t\t\t\"com.yxd.shpk_multi\",\n" +
//                "\t\t\t\"com.xiandong.fst\",\n" +
//                "\t\t\t\"com.xunrui.duokai_box\",\n" +
//                "\t\t\t\"com.felix.shuangkai\",\n" +
//                "\t\t\t\"com.dbhydbhy.duokai\",\n" +
//                "\t\t\t\"com.xuanmutech.fenkai\",\n" +
//                "\t\t\t\"com.felix.duokai\",\n" +
//                "\t\t\t\"com.magic.app.reader01\",\n" +
//                "\t\t\t\"com.cxhcxh.duokai\",\n" +
//                "\t\t\t\"com.dongguaququ.duokai\",\n" +
//                "\t\t\t\"com.felix.fenshen\",\n" +
//                "\t\t\t\"com.nox.mopen.app\",\n" +
//                "\t\t\t\"com.boly.wxmultopen\",\n" +
//                "\t\t\t\"com.tyzhzxl.dkwxzs\",\n" +
//                "\t\t\t\"com.chufa.skzs\",\n" +
//                "\t\t\t\"com.lbe.parallel\",\n" +
//                "\t\t\t\"dkmodel\",\n" +
//                "\t\t\t\"io.virtualapp\",\n" +
//                "\t\t\t\"com.coloros.oppomultiapp\",\n" +
//                "\t\t\t\"com.lbe.parallel.intl\",\n" +
//                "\t\t\t\"com.jumobile.multiapp\",\n" +
//                "\t\t\t\"com.jumobile.smartapp\",\n" +
//                "\t\t\t\"info.cloneapp.mochat.in.goast\",\n" +
//                "\t\t\t\"com.excelliance.multiaccounts\",\n" +
//                "\t\t\t\"com.ludashi.dualspace\",\n" +
//                "\t\t\t\"cn.lapstudio.weiduokai\",\n" +
//                "\t\t\t\"com.parallel.space.lite\",\n" +
//                "\t\t\t\"com.jiubang.commerce.gomultiple\",\n" +
//                "\t\t\t\"cn.lapstudio.aid\",\n" +
//                "\t\t\t\"com.arc.multi\",\n" +
//                "\t\t\t\"com.nox.mopen.app\",\n" +
//                "\t\t\t\"io.virtualapp.luohe\",\n" +
//                "\t\t\t\"com.ludashi.superboost\",\n" +
//                "\t\t\t\"com.zhushou.weichat\",\n" +
//                "\t\t\t\"zc.wormhole\",\n" +
//                "\t\t\t\"com.lanrun.yxjl\",\n" +
//                "\t\t\t\"com.ivymobi.multiaccount.free\",\n" +
//                "\t\t\t\"cloner.parallel.space.multiple.accounts.twoface\",\n" +
//                "\t\t\t\"com.lylm.dkzs\",\n" +
//                "\t\t\t\"com.rinzz.avatar\",\n" +
//                "\t\t\t\"com.ludashi.multspace\",\n" +
//                "\t\t\t\"com.trigtech.privateme\",\n" +
//                "\t\t\t\"com.jun.virtual\",\n" +
//                "\t\t\t\"com.pldasoft.dualapp\",\n" +
//                "\t\t\t\"com.youxi.shuangkai.help\",\n" +
//                "\t\t\t\"com.jumobile.multiapp.pro\",\n" +
//                "\t\t\t\"com.applisto.appcloner\",\n" +
//                "\t\t\t\"multiple.multiple.parallel.accounts.cloner.mochat\",\n" +
//                "\t\t\t\"com.bba.vma\",\n" +
//                "\t\t\t\"com.rinzz.wdf\"\n" +
//                "\t\t]\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"key\": \"interrupts\",\n" +
//                "\t\t\"type\": \"file\",\n" +
//                "\t\t\"path\": \"file:///proc/interrupts\",\n" +
//                "\t\t\"words\": [\n" +
//                "\t\t\t\"hypervisor\",\n" +
//                "\t\t\t\"goldfish\"\n" +
//                "\t\t]\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"key\": \"iomem\",\n" +
//                "\t\t\"type\": \"file\",\n" +
//                "\t\t\"path\": \"file:///proc/iomem\",\n" +
//                "\t\t\"option\": \"match\",\n" +
//                "\t\t\"words\": [\n" +
//                "\t\t\t\"qemu-pipe\",\n" +
//                "\t\t\t\"goldfish\",\n" +
//                "\t\t\t\"vbox\"\n" +
//                "\t\t]\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"key\": \"ioports\",\n" +
//                "\t\t\"type\": \"file\",\n" +
//                "\t\t\"path\": \"file:///proc/ioports\",\n" +
//                "\t\t\"words\": [\n" +
//                "\t\t\t\"virtio\",\n" +
//                "\t\t\t\"goldfish\"\n" +
//                "\t\t]\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"key\": \"misc\",\n" +
//                "\t\t\"type\": \"file\",\n" +
//                "\t\t\"path\": \"file:///proc/misc\",\n" +
//                "\t\t\"words\": [\n" +
//                "\t\t\t\"vbox\",\n" +
//                "\t\t\t\"qemu\"\n" +
//                "\t\t]\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"key\": \"kallsyms\",\n" +
//                "\t\t\"type\": \"file\",\n" +
//                "\t\t\"path\": \"file:///proc/kallsyms\",\n" +
//                "\t\t\"words\": [\n" +
//                "\t\t\t\"vbox\",\n" +
//                "\t\t\t\"qemu\",\n" +
//                "\t\t\t\"goldfish\"\n" +
//                "\t\t]\n" +
//                "\t}\n" +
//                "]";
//
//        JSONArray jsonArray = JSON.parseArray(str);
//        for (int i = 0; i < jsonArray.size(); i++) {
//            JSONObject json = jsonArray.getJSONObject(i);
//            String key = json.getString("key");
//            String type = json.getString("type");
//            String path = json.getString("path");
//            List<String> words = (List<String>)json.get("words");
//            RiskFile riskFile = new RiskFile(key, type, path,"", words, "android");
//            mongoTemplate.insert(riskFile);
//            System.out.println("插入数量："+i+1);
//
//
//        }
//        return new ResultObject(HttpServletResponse.SC_OK);
//
//    }
//
//
//    public static void main(String args[]) throws Exception {
//
////            String str = "{\n" +
////                    "            \"axj\":{\n" +
////                    "                \"pn\":\"/Applications/AXJ.app\",\n" +
////                    "                \"uri\":\"\"\n" +
////                    "            }\n" +
////                    "        }";
////
////            Map map = JSON.parseObject(str);
////            for(Object obj : map.keySet()){
////                System.out.println(obj);
////                JSONObject json = (JSONObject) map.get(obj);
////                System.out.println(json.get("pn"));
////
////            }
//
//        String str = "[{\n" +
//                "\t\t\"awz\": {\n" +
//                "\t\t\t\"pn\": \"/Applications/AWZ.app\",\n" +
//                "\t\t\t\"uri\": \"IGG://\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"nzt\": {\n" +
//                "\t\t\t\"pn\": \"/Applications/NZT.app\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"igvx\": {\n" +
//                "\t\t\t\"pn\": \"/Applications/igvx.app\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"touchelf\": {\n" +
//                "\t\t\t\"pn\": \"/Applications/TouchElf.app\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"touchsprite\": {\n" +
//                "\t\t\t\"pn\": \"/Applications/TouchSprite.app\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"wujivpn\": {\n" +
//                "\t\t\t\"pn\": \"/Applications/WujiVPN.app\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"rst\": {\n" +
//                "\t\t\t\"pn\": \"/Applications/RST.app\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"forge9\": {\n" +
//                "\t\t\t\"pn\": \"/Applications/Forge9.app\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"forge\": {\n" +
//                "\t\t\t\"pn\": \"/Applications/Forge.app\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"gfaker\": {\n" +
//                "\t\t\t\"pn\": \"/Applications/GFaker.app\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"hdfaker\": {\n" +
//                "\t\t\t\"pn\": \"/Applications/hdfakerset.app\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"r8\": {\n" +
//                "\t\t\t\"pn\": \"/Applications/R8.app\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"pranava\": {\n" +
//                "\t\t\t\"pn\": \"/Applications/Pranava.app\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"ig\": {\n" +
//                "\t\t\t\"pn\": \"/Applications/iG.app\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"hiddenapi\": {\n" +
//                "\t\t\t\"pn\": \"/Applications/HiddenApi.app\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"xgsab\": {\n" +
//                "\t\t\t\"pn\": \"/Applications/Xgen.app\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"birdfaker9\": {\n" +
//                "\t\t\t\"pn\": \"/Applications/BirdFaker9.app\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"vpnmaster\": {\n" +
//                "\t\t\t\"pn\": \"/Applications/VPNMasterPro.app\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"guizmovpn\": {\n" +
//                "\t\t\t\"pn\": \"/Applications/GuizmOVPN.app\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t},\n" +
//                "\t{\n" +
//                "\t\t\"axj\": {\n" +
//                "\t\t\t\"pn\": \"/Applications/AXJ.app\",\n" +
//                "\t\t\t\"uri\": \"\"\n" +
//                "\t\t}\n" +
//                "\t}\n" +
//                "]";
//
//        JSONArray jsonArray = JSON.parseArray(str);
//        List<RiskApp> riskApps = new ArrayList<>();
//        for (int i = 0; i < jsonArray.size(); i++) {
//            Map map = jsonArray.getJSONObject(i);
//            for (Object obj : map.keySet()) {
//                String name = (String) obj;
//                JSONObject json = (JSONObject) map.get(obj);
//
//                String pn = json.getString("pn");
//                String uri = json.getString("uri");
//                RiskApp riskApp = new RiskApp(name, pn, uri, "ios");
//                riskApps.add(riskApp);
//            }
//
//        }
//
//
//    }
}
